# Uses of Class
org.apache.commons.math3.util.IterationManager

Packages that use IterationManager
Package
Description
org.apache.commons.math3.linear
Linear algebra support.

## Uses of IterationManager in org.apache.commons.math3.linear

Methods in org.apache.commons.math3.linear that return IterationManager
Modifier and Type
Method
Description
`IterationManager`
IterativeLinearSolver.`getIterationManager()`
Returns the iteration manager attached to this solver.
Constructors in org.apache.commons.math3.linear with parameters of type IterationManager
Modifier
Constructor
Description
``
`ConjugateGradient(IterationManager manager, double delta, boolean check)`
Creates a new instance of this class, with default stopping criterion and custom iteration manager.
``
`IterativeLinearSolver(IterationManager manager)`
Creates a new instance of this class, with custom iteration manager.
``
`PreconditionedIterativeLinearSolver(IterationManager manager)`
Creates a new instance of this class, with custom iteration manager.
``
`SymmLQ(IterationManager manager, double delta, boolean check)`
Creates a new instance of this class, with default stopping criterion and custom iteration manager.